Compile errors - cairo

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Compile errors - cairo

Eddie L. Hixson
When will the compile errors with cairo in the cvs download be fixed?
I haven't been able to compile php-gtk in months on my linux install.

Eddie


--
PHP-GTK General Mailing List (http://gtk.php.net/)
To unsubscribe, visit: http://www.php.net/unsub.php

Reply | Threaded
Open this post in threaded view
|

Re: Compile errors - cairo

Elizabeth M Smith
Eddie L. Hixson wrote:
> When will the compile errors with cairo in the cvs download be fixed?
> I haven't been able to compile php-gtk in months on my linux install.
>
> Eddie
>

define "fixed"

the holdup is the release of the cairo php extension which will be
required for php-gtk with the next release.

You can build (and use) HEAD just fine - the configure doesn't do a
check for cairo properly yet however - which is why you get "cairo
errors" when compiling instead of ./config telling you "you need to have
the php cairo extension installed"

If you want to build HEAD

1. Grab the latest revision of the cairo extension from
svn://whisky.macvicar.net/php-cairo

this should build as a normal php extension - phpize et al

2. build php-gtk passing -DHAVE_CAIRO

3. play with the cairo demos in demos/examples in php-gtk cvs :)

Thanks,
Elizabeth

--
PHP-GTK General Mailing List (http://gtk.php.net/)
To unsubscribe, visit: http://www.php.net/unsub.php

Reply | Threaded
Open this post in threaded view
|

Re: Re: Compile errors - cairo

Elizabeth M Smith
On Thu, Apr 2, 2009 at 11:55 AM, Eddie L. Hixson <[hidden email]> wrote:

> Hi,
>
> I believe I have correctly built cario.so and now I am trying to build
> php-gtk2. Look at the last line.
>
> [eddieh@voyager php-gtk]$ ./cvsclean && ./buildconf &&
> CFLAGS=-DHAVE_CAIRO ./configure && make
>
> Configuring for:
> PHP Api Version:         20041225
> Zend Module Api No:      20060613
> Zend Extension Api No:   220060519
> rebuilding aclocal.m4
> rebuilding configure
> rebuilding config.h.in
> checking for grep that handles long lines and -e... /bin/grep
> checking for egrep... /bin/grep -E
> checking for a sed that does not truncate output... /bin/sed
> checking for gcc... gcc
> checking for C compiler default output file name... a.out
> checking whether the C compiler works... yes
> checking whether we are cross compiling... no
> checking for suffix of executables...
> checking for suffix of object files... o
> checking whether we are using the GNU C compiler... yes
> checking whether gcc accepts -g... yes
> checking for gcc option to accept ISO C89... none needed
> checking whether gcc and cc understand -c and -o together... yes
> checking for system library directory... lib
> checking if compiler supports -R... no
> checking if compiler supports -Wl,-rpath,... yes
> checking build system type... i686-pc-linux-gnu
> checking host system type... i686-pc-linux-gnu
> checking target system type... i686-pc-linux-gnu
> checking for PHP prefix... /usr
> checking for PHP includes... -I/usr/include/php -I/usr/include/php/main
> -I/usr/include/php/TSRM -I/usr/include/php/Zend -I/usr/include/php/ext
> -I/usr/include/php/ext/date/lib
> checking for PHP extension directory... /usr/lib/php/modules
> checking for PHP installed headers prefix... /usr/include/php
> checking for re2c... no
> configure: WARNING: You will need re2c 0.12.0 or later if you want to
> regenerate PHP parsers.
> checking for gawk... gawk
> checking for PHP-GTK support... yes, shared
> checking for PHP executable... found version 5.2.6
> PHP Warning:  PHP Startup: Unable to load dynamic library
> '/usr/lib/php/modules/cairo.so' - /usr/lib/php/modules/cairo.so:
> undefined symbol: zend_replace_error_handling in Unknown on line 0
>
> Thanks,
> Eddie
>

Ah, I hate having to keep three million versions of things going

I just committed a fix to the cairo extension  that should fix that
issue - svn up and rebuild and it should be good to go (that error is
there because the internal API for that stuff changed between PHP
5.2.x and PHP 5.3)

Thanks,
Elizabeth

--
PHP-GTK General Mailing List (http://gtk.php.net/)
To unsubscribe, visit: http://www.php.net/unsub.php